[XE7] iOS 시뮬레이터 배포 시 'Please specify exact device preset UUID.' 오류 대응

2015.02.24 17:48

iOS 시뮬레이터 실행 시 아래와 같은 오류 발생 시 대처사항입니다.



결과적으로 원인은 RAD Studio XE7에서 iOS Simulator 8.1을 지원하지 않아서 입니다.

(iOS Device에서는 8.1을 지원합니다.)

Hotfix iPhone Simulator 7.1 지원

RAD Studio XE7 출시 이후 나온 7.1에 대한 패치가 필요합니다. 아래 글의 2번째 Hotfix 설치하기 바랍니다.

iPhone Simulator 7.1 설치 및 설정

  1. 맥에서 XCode(6.1) 실행 > XCode > Preferences... > Download 화면에서 iOS 7.1 Simulator 다운로드
  2. 델파이 Project Manager의 iOS Simulator에서 Property > SDK에서 iPhoneSimulator 7.1 선택(없으면 Add new... 선택)
  3. (PAServer가 연결된 상태에서)자동으로 iPhoneSimulator 7.1 관련 라이브러리 생성(만약 동작하지 않으면 PAServer 재시작)
  4. iOS Simulator로 다시 배포 및 테스트


험프리.김현수 파이어몽키